%global momorel 1
%global date 20081101

Summary: CLI for synchronization with OpenSync
Name: msynctool
Version: 0.38
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2
URL: http://www.opensync.org/
Group: Applications/Productivity
# Source0: http://opensync.org/download/releases/%{version}/%%{name}-%%{version}.tar.bz2
# NoSource: 0
Source0: %{name}-%{date}.tar.bz2
Patch0: %{name}-%{date}-bash_completion_d.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libopensync
BuildRequires: cmake >= 2.6.2
BuildRequires: libopensync-devel >= 0.38
BuildRequires: pkgconfig

%description
Command line interface for libopensync to allow synchronization on
machines which lack a X server. It relies on the OpenSync framework to
do the actual synchronization. You need to install the libopensync
package and the plugins for it, too.

%prep
%setup -q -n %{name}-%{date}

%patch0 -p1 -b .bash_completion_d

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DCMAKE_SKIP_RPATH=YES ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# fix up permission
chmod 644 %{buildroot}%{_sysconfdir}/bash_completion.d/msynctool.sh

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CODING COPYING README
%config(noreplace) %{_sysconfdir}/bash_completion.d/msynctool.sh
%{_bindir}/msynctool

%changelog
* Sat Nov  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.38-0.20081101.1m)
- update to 20081101 svn snapshot for new libopensync
- fix up install directory and permission of msynctool.sh

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.36-2m)
- rebuild against gcc43

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.36-1m)
- version 0.36

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
